## Class element_

zeep::xml::doctype::element_

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    class element_ {
    public:
      // construct/copy/destruct
      (element_ &) = ;
      (, , );
      element_ & (element_ &) = ;
      ~();

      // public member functions
       () ;
       (attribute_ *);
      attribute_ * () ;
       () ;
       () ;
       () ;
       (content_spec_ptr);
      content_spec_ptr () ;
    };

## Description

### `element_` public construct/copy/destruct

1.     (element_ &) = ;

2.     ( name,  declared,  external);

3.     element_ & (element_ &) = ;

4.     ~();

### `element_` public member functions

1.      () ;

2.      (attribute_ * attr);

3.     attribute_ * ( name) ;

4.      () ;

5.      () ;

6.      () ;

7.      (content_spec_ptr allowed);

8.     content_spec_ptr () ;